# Data types needed
- fields
+ functions

## Table - struct
- ID
- Users (who have access to the table in general)
- Admins/GMs (who is the Gm from the Users group)
- Map
- Images (non maps)
- Tokens - entities on a map
- Game definition
- User Character sheets

## Game definition
- Player sheets
- dice rolls
- abilities and such

## Map - struct
- Background
- Grid
- Visible to players
+ Force Show

## Background - struct
- Image
- Offset

## Grid - Enum
- Type: Square/Hexagonal/Triangular
- Size

